### Method

# Ide SubprocessLauncher set_environ

#### Declaration

    void
    ide_subprocess_launcher_set_environ (
      IdeSubprocessLauncher* self,
      const gchar* const* environ_
    )

#### Description

Replace the environment variables by a new list of variables.

Available since: | 3.32

Sets property | `Ide.SubprocessLauncher:environ`

#### Parameters

`environ_` | An array of `utf8`
| The list of environment variables to set.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.